Skip to main content
GET
/
portfolio
/
{address}
/
positions
Get portfolio positions
curl --request GET \
  --url https://api.context.markets/v2/portfolio/{address}/positions \
  --header 'Authorization: Bearer <token>'
{
  "positions": [
    {
      "marketId": "0x1111111111111111111111111111111111111111111111111111111111111111",
      "slug": "<string>",
      "marketName": "<string>",
      "outcomeName": "<string>",
      "outcomeIndex": 123,
      "size": "1000000",
      "avgPrice": "1000000",
      "price": "1000000",
      "claimState": "claimable",
      "claimableAmount": "1000000",
      "tokensRedeemed": "1000000",
      "status": "open"
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

address
string
required

EVM address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x1111111111111111111111111111111111111111"

Query Parameters

marketId
string

32-byte hex hash

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0x1111111111111111111111111111111111111111111111111111111111111111"

status
enum<string>
Available options:
open,
closed
cursor
string

Opaque pagination cursor

Example:

"eyJ0aW1lc3RhbXAiOiIyMDI2LTAzLTAzVDAwOjAwOjAwLjAwMFoiLCJpZCI6MTIzfQ=="

limit
number | null

Response

Positions

positions
object[]
required
cursor
string | null
required